Bug 74198 - xinetd init script error when network not configured
xinetd init script error when network not configured
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: xinetd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 14:51 EDT by Guy Streeter
Modified: 2016-02-09 20:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-25 13:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2002-09-17 14:51:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
the xinetd init script needs to quote ${NETWORKING} in the test at line 35.
Otherwise, the script errors when networking has not been configured.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot system without networking configured
2.
3.
	

Actual Results:  /etc/rc3.d/S56xinetd: line 35: [: =: unary operator expected

Expected Results:  no error

Additional info:
Comment 1 Guy Streeter 2005-07-08 10:35:42 EDT
This got fixed at some point. No problem on current Fedora or RHEL.

Note You need to log in before you can comment on or make changes to this bug.